# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "editorconfiger"
version = "0.6.0"
authors = ["egoroff <egoroff@gmail.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Plain tool to validate and compare .editorconfig files"
readme = "README.md"
keywords = ["editorconfig"]
license = "MIT"
repository = "https://github.com/aegoroff/editorconfiger"

[package.metadata.deb]
assets = [[
    "target/release/editorconfiger",
    "usr/bin/",
    "755",
]]

[[package.metadata.generate-rpm.assets]]
source = "target/release/editorconfiger"
dest = "/usr/bin/editorconfiger"
mode = "0755"

[features]
build-binary = [
    "clap",
    "clap_complete",
    "console",
    "prettytable-rs",
    "bugreport",
]

[lib]
name = "editorconfiger"
path = "src/lib.rs"

[[bin]]
name = "editorconfiger"
path = "src/bin/editorconfiger.rs"
required-features = ["build-binary"]

[dependencies.aho-corasick]
version = "=1.1.4"

[dependencies.bugreport]
version = "=0.6.0"
optional = true

[dependencies.clap]
version = "=4.6.1"
features = [
    "std",
    "color",
    "suggestions",
    "cargo",
]
optional = true

[dependencies.clap_complete]
version = "=4.6.2"
optional = true

[dependencies.console]
version = "=0.16.3"
optional = true

[dependencies.jwalk]
version = "=0.8.1"

[dependencies.lalrpop-util]
version = "=0.23.1"
features = [
    "lexer",
    "unicode",
]

[dependencies.miette]
version = "=7.6.0"
features = ["fancy"]

[dependencies.num_cpus]
version = "=1.17.0"

[dependencies.prettytable-rs]
version = "=0.10.0"
optional = true

[dependencies.winnow]
version = "=1.0.2"

[dev-dependencies.test-case]
version = "=3.3.1"

[build-dependencies.lalrpop]
version = "=0.23.1"

[target.'cfg(target_os = "linux")'.dependencies.mimalloc]
version = "=0.1.50"

[lints.rust]
unsafe_code = "forbid"

[profile.release]
lto = true
panic = "abort"
strip = true
